org.encog.persist

## Class EncogFileSection

- java.lang.Object
- - org.encog.persist.EncogFileSection

-     public class EncogFileSection
      extends Object

  This class is used internally to parse Encog files. A file section is part of a name-value pair file.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `EncogFileSection(String theSectionName, String theSubSectionName)` Construct the object.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<double[]>` | `getLargeArrays()`
    `List<String>` | `getLines()`
    `String` | `getLinesAsString()`
    `String` | `getSectionName()`
    `String` | `getSubSectionName()`
    `static ActivationFunction` | `parseActivationFunction(Map<String,String> params, String name)` Parse an activation function from a string.
    `static ActivationFunction` | `parseActivationFunction(String value)` Parse an activation function from a value.
    `static boolean` | `parseBoolean(Map<String,String> params, String name)` Parse a boolean from a name-value collection of params.
    `static double` | `parseDouble(Map<String,String> params, String name)` Parse a double from a name-value collection of params.
    `double[]` | `parseDoubleArray(Map<String,String> params, String name)` Parse a double array from a name-value collection of params.
    `static int` | `parseInt(Map<String,String> params, String name)` Parse an int from a name-value collection of params.
    `static int[]` | `parseIntArray(Map<String,String> params, String name)` Parse an int array from a name-value collection of params.
    `static Matrix` | `parseMatrix(Map<String,String> params, String name)` Parse a matrix from a name-value collection of params.
    `Map<String,String>` | `parseParams()`
    `void` | `setLargeArrays(List<double[]> largeArrays)`
    `static List<String>` | `splitColumns(String line)` Split a delimited string into columns.
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### EncogFileSection

          public EncogFileSection(String theSectionName,
                          String theSubSectionName)

      Construct the object.
      Parameters:
        `theSectionName` - The section name.
        `theSubSectionName` - The sub section name.

  - ### Method Detail

    - #### parseActivationFunction

          public static ActivationFunction parseActivationFunction(String value)

      Parse an activation function from a value.
      Parameters:
        `value` - The value.
      Returns:
        The activation function.

    - #### parseActivationFunction

          public static ActivationFunction parseActivationFunction(Map<String,String> params,
                                                   String name)

      Parse an activation function from a string.
      Parameters:
        `params` - The params.
        `name` - The name of the param to parse.
      Returns:
        The parsed activation function.

    - #### parseBoolean

          public static boolean parseBoolean(Map<String,String> params,
                             String name)

      Parse a boolean from a name-value collection of params.
      Parameters:
        `params` - The name-value pairs.
        `name` - The name to parse.
      Returns:
        The parsed boolean value.

    - #### parseDouble

          public static double parseDouble(Map<String,String> params,
                           String name)

      Parse a double from a name-value collection of params.
      Parameters:
        `params` - The name-value pairs.
        `name` - The name to parse.
      Returns:
        The parsed double value.

    - #### parseDoubleArray

          public double[] parseDoubleArray(Map<String,String> params,
                                  String name)

      Parse a double array from a name-value collection of params.
      Parameters:
        `params` - The name-value pairs.
        `name` - The name to parse.
      Returns:
        The parsed double array value.

    - #### parseInt

          public static int parseInt(Map<String,String> params,
                     String name)

      Parse an int from a name-value collection of params.
      Parameters:
        `params` - The name-value pairs.
        `name` - The name to parse.
      Returns:
        The parsed int value.

    - #### parseIntArray

          public static int[] parseIntArray(Map<String,String> params,
                            String name)

      Parse an int array from a name-value collection of params.
      Parameters:
        `params` - The name-value pairs.
        `name` - The name to parse.
      Returns:
        The parsed int array value.

    - #### parseMatrix

          public static Matrix parseMatrix(Map<String,String> params,
                           String name)

      Parse a matrix from a name-value collection of params.
      Parameters:
        `params` - The name-value pairs.
        `name` - The name to parse.
      Returns:
        The parsed matrix value.

    - #### splitColumns

          public static List<String> splitColumns(String line)

      Split a delimited string into columns.
      Parameters:
        `line` - THe string to split.
      Returns:
        The string split.

    - #### getLines

          public final List<String> getLines()

      Returns:
        The lines.

    - #### getLinesAsString

          public final String getLinesAsString()

      Returns:
        All lines separated by a delimiter.

    - #### getSectionName

          public final String getSectionName()

      Returns:
        The section name.

    - #### getSubSectionName

          public final String getSubSectionName()

      Returns:
        The section name.

    - #### parseParams

          public final Map<String,String> parseParams()

      Returns:
        The params.

    - #### toString

          public final String toString()

      Overrides:
        `toString` in class `Object`

    - #### getLargeArrays

          public List<double[]> getLargeArrays()

      Returns:
        the largeArrays

    - #### setLargeArrays

          public void setLargeArrays(List<double[]> largeArrays)

      Parameters:
        `largeArrays` - the largeArrays to set

Copyright © 2014. All Rights Reserved.